### Method

# Camel UrlScanner scan

#### Declaration [src]

    gboolean
    camel_url_scanner_scan (
      CamelUrlScanner* scanner,
      const gchar* in,
      gsize inlen,
      CamelUrlMatch* match
    )

#### Description [src]

Scan the `in` string with the `match` criterias.

This method is not directly available to language bindings.

#### Parameters

`in`

  Type: An array of `gchar`

  The url to scan.

  The length of the array is specified in the `inlen` argument.
  The data is owned by the caller of the method.

`inlen`

  Type: `gsize`

  Length of the in array.

`match`

  Type: `CamelUrlMatch`

  The `CamelUrlMatch` structure containing the criterias.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if there is a result.